Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 879422 - [abrt]: kernel BUG at mm/shmem.c:657!
Summary: [abrt]: kernel BUG at mm/shmem.c:657!
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:17ecefa332b02743c8b4a654a6f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-22 23:04 UTC by Larry the Computer Guy
Modified: 2013-08-01 02:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 02:20:14 UTC
Type: ---


Attachments (Terms of Use)

Description Larry the Computer Guy 2012-11-22 23:04:57 UTC
Description of problem:
system was idle

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.6.6-1.fc17.x86_64 root=UUID=5f53ecb6-a4da-4a15-b5f3-1236e767d775 ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True KEYTABLE=us rd.luks=0 LANG=en_US.UTF-8 rhgb quiet
kernel:         3.6.6-1.fc17.x86_64

backtrace:
:kernel BUG at mm/shmem.c:657!
:invalid opcode: 0000 [#1] SMP 
:Modules linked in: udf hid_logitech_dj des_generic md4 cifs dns_resolver fscache nls_utf8 lockd sunrpc bnep bluetooth rfkill ip6t_REJECT nf_conntrack_ipv6 nf_conntrack_netbios_ns nf_conntrack_broadcast nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 ip6table_filter xt_state nf_conntrack ip6_tables fuse snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_seq snd_seq_device snd_hwdep snd_pcm snd_page_alloc snd_timer iTCO_wdt snd soundcore iTCO_vendor_support serio_raw atl1 mii lpc_ich mfd_core i2c_i801 asus_atk0110 coretemp kvm_intel kvm microcode uinput ata_generic pata_acpi firewire_ohci firewire_core crc_itu_t usb_storage pata_jmicron nouveau mxm_wmi wmi video i2c_algo_bit drm_kms_helper ttm drm i2c_core
:CPU 1 
:Pid: 1017, comm: kwin Not tainted 3.6.6-1.fc17.x86_64 #1 System manufacturer P5E-VM HDMI/P5E-VM HDMI
:RIP: 0010:[<ffffffff81145792>]  [<ffffffff81145792>] shmem_evict_inode+0x112/0x120
:RSP: 0018:ffff88012b94ddb8  EFLAGS: 00010282
:RAX: 0000000050aeab47 RBX: ffff880117a424a8 RCX: 0000000000000018
:RDX: 000000001fea11fd RSI: 0000000005537c1c RDI: ffffffff81f1d500
:RBP: ffff88012b94ddd8 R08: 0000000000000000 R09: 0000000000000000
:R10: 0000000000000000 R11: 0000000000000000 R12: ffff880117a424a8
:R13: ffff880117a424a8 R14: ffff880117a424b8 R15: ffff880139a79220
:FS:  00007fa606014880(0000) GS:ffff88013fc80000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
:CR2: 00007fa5f0021010 CR3: 000000012c2d0000 CR4: 00000000000007e0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process kwin (pid: 1017, threadinfo ffff88012b94c000, task ffff880134f30000)
:Stack:
: ffff880117a424b8 ffff880117a425b0 ffffffff81812f80 ffffffff81812f80
: ffff88012b94de08 ffffffff811a8da2 ffff88012b94dde8 ffff880117a424b8
: ffff880117a42540 ffff880139a34000 ffff88012b94de38 ffffffff811a8fa3
:Call Trace:
: [<ffffffff811a8da2>] evict+0xa2/0x1a0
: [<ffffffff811a8fa3>] iput+0x103/0x1f0
: [<ffffffff811a50e8>] d_kill+0xd8/0x110
: [<ffffffff811a5782>] dput+0xe2/0x1b0
: [<ffffffff811900d6>] __fput+0x166/0x240
: [<ffffffff811901be>] ____fput+0xe/0x10
: [<ffffffff8107beab>] task_work_run+0x6b/0x90
: [<ffffffff81013921>] do_notify_resume+0x71/0xb0
: [<ffffffff81625be2>] int_signal+0x12/0x17
:Code: c7 80 1c c4 81 e8 8f 5a 4d 00 48 89 df e8 77 80 1a 00 49 89 5e e0 49 89 5e e8 48 c7 c7 80 1c c4 81 e8 13 5a 4d 00 e9 1c ff ff ff <0f> 0b 66 66 66 2e 0f 1f 84 00 00 00 00 00 55 48 89 e5 41 57 41 
:RIP  [<ffffffff81145792>] shmem_evict_inode+0x112/0x120
: RSP <ffff88012b94ddb8>

Comment 1 Dave Jones 2012-11-27 18:24:47 UTC
hmm, that's this..

 657         BUG_ON(inode->i_blocks);

in shmem_evict_inode.

I'm impressed that abrt caught this. usually BUG_ON locks up the machine.

Upstream seems to think this is related to a race between page eviction and swapping. No fix in 3.7 as of yet. I'll ping Hugh Dickins, as commit 0f3c42f522dc1ad7e27affc0a4aa8c790bce0a66 is changing this from a BUG_ON to a WARN so we might end up seeing this more often.

Comment 2 Fedora End Of Life 2013-07-03 23:33:20 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2013-08-01 02:20:19 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.